Delete API key
curl --request DELETE \
--url https://api.dev.impactu.colav.co/users/{email}/apikeyimport requests
url = "https://api.dev.impactu.colav.co/users/{email}/apikey"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.dev.impactu.colav.co/users/{email}/apikey', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dev.impactu.colav.co/users/{email}/apikey",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dev.impactu.colav.co/users/{email}/apikey"
req, _ := http.NewRequest("DELETE", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.dev.impactu.colav.co/users/{email}/apikey")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dev.impactu.colav.co/users/{email}/apikey")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
response = http.request(request)
puts response.read_body{ "success": true, "msg": "API key eliminada correctamente" }
{ "success": false, "msg": "Usuario usuario@example.com no encontrado" }
{"msg": "Token no proporcionado o inválido. Por favor, inicia sesión nuevamente.", "success": false}
{ "success": false, "msg": "No tienes permiso para gestionar el API Key de otro usuario." }
Users
Delete API key
Deletes the API key associated with the authenticated user.
DELETE
/
users
/
{email}
/
apikey
Delete API key
curl --request DELETE \
--url https://api.dev.impactu.colav.co/users/{email}/apikeyimport requests
url = "https://api.dev.impactu.colav.co/users/{email}/apikey"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.dev.impactu.colav.co/users/{email}/apikey', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dev.impactu.colav.co/users/{email}/apikey",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dev.impactu.colav.co/users/{email}/apikey"
req, _ := http.NewRequest("DELETE", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.dev.impactu.colav.co/users/{email}/apikey")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dev.impactu.colav.co/users/{email}/apikey")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
response = http.request(request)
puts response.read_body{ "success": true, "msg": "API key eliminada correctamente" }
{ "success": false, "msg": "Usuario usuario@example.com no encontrado" }
{"msg": "Token no proporcionado o inválido. Por favor, inicia sesión nuevamente.", "success": false}
{ "success": false, "msg": "No tienes permiso para gestionar el API Key de otro usuario." }
The authenticated user can only delete their own API key.
Path parameters
string
required
User’s email address. It must match the authenticated user.
Response
boolean
true if the API key was deleted successfully.string
Confirmation or error message.
{ "success": true, "msg": "API key eliminada correctamente" }
{ "success": false, "msg": "Usuario usuario@example.com no encontrado" }
{"msg": "Token no proporcionado o inválido. Por favor, inicia sesión nuevamente.", "success": false}
{ "success": false, "msg": "No tienes permiso para gestionar el API Key de otro usuario." }